PGPAINLESS-CLI-GENERATE-KEY(1)

NAME
pgpainless-cli-generate-key - Generate a secret key

SYNOPSIS

pgpainless-cli generate-key [--[no-]armor] [--signing-only] [--stacktrace] [--profile=PROFILE] [--with-key-password=PASSWORD] [USERID...]

DESCRIPTION

OPTIONS

--[no-]armor
    ASCII armor the output

--profile=PROFILE
    Profile identifier to switch between profiles

--signing-only
    Generate a key that can only be used for signing

--stacktrace
    Print stacktrace

--with-key-password=PASSWORD
    Password to protect the private key with

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[USERID...]
    User-ID, e.g. "Alice <